#define trigPin 2
#define echoPin 3
#define relayPin 4
#define threshold 100

void setup() {
  Serial.begin (9600);
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  pinMode(relayPin, OUTPUT);

  digitalWrite(relayPin, LOW);
}

void loop() {
  float duration, distance;
  digitalWrite(trigPin, LOW); 
  delayMicroseconds(2);
 
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  
  duration = pulseIn(echoPin, HIGH);
  distance = (duration / 2) * 0.0344;

  if(distance <= threshold)
  {
      digitalWrite(relayPin, HIGH);
      Serial.println(distance);
      delay(5000);
      digitalWrite(relayPin, LOW);
  } 
  delay(500);
}

